Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Rails plugin to detect ie6 and display a message asking to upgrade.
branch: master

This branch is even with mleung:master

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
app
config
lib
tasks
test
MIT-LICENSE
README
Rakefile
init.rb
install.rb
uninstall.rb

README

ie_no_more
========

We hate IE6. I'm sure you do as well. This plugin was born of that hate. So ie_no_more is really
our attempt at making the world a better place. 

We're altruistic philanthropic idealists, if you will.

Installation
========
script/plugin install git://github.com/mleung/ie_no_more.git

Usage
=======

Throw this in your application layout, and do your part making IE6 go the way of velcro. 

<%= smack_down_ie6 %>

You can also conditionally hide or show parts of your app if it is IE:

<% hide_if_ie6 do %>
  # Non specific ie code
<% end %>

<% show_if_ie6 do %>
  # Specific ie code
<% end %>

JavaScript
=========

Since the close button uses ajax, you'll have to throw this in the head of your layout:

<%= javascript_include_tag "ie_no_more.js" %>

The file is automatically copied to your public/javascripts directory when this plugin is installed.
This works with both jquery and prototype.

Message
========

If you'd like to customize the output message, just go into app/views/ie_no_more 
and go to town on the _ie_upgrade_message partial. 


Styles
=======

You can customize the display of the output message using CSS. Just throw the 
styles in your style sheet. Here are some examples:

#ie-no-more-container {
  background: #FFFFCC;
  border: 1px solid #FF9933;
  width: 90%;
  margin-left: 2%;
  margin-right: 2%;
  padding: 20px;
}

#ie-no-more-close-button {
  float: right;
}


Copyright (c) 2009 Michael Leung, released under the MIT license
Something went wrong with that request. Please try again.